Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface IUIServiceProvider

public interface IUIServiceProvider
IUIServiceProvider

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`IUIServiceProvider.Command`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COMMAND_CHART_EXPRESSION`
Deprecated.
`static final int`
`COMMAND_CUBE_EXPRESSION_TOOLTIPS_DATAPOINTS`
Constant indicating an expression builder to input tootips (one type of triggers ) for value series while using cube case
`static final int`
`COMMAND_EXPRESSION`
Deprecated.
`static final int`
`COMMAND_EXPRESSION_CHART_DATAPOINTS`
Constant indicating an expression builder to input chart data point variables.
`static final int`
`COMMAND_EXPRESSION_DATA_BINDINGS`
Constant indicating an expression builder to input data bindings.
`static final int`
`COMMAND_EXPRESSION_SCRIPT_DATAPOINTS`
Constant indicating an expression builder to input script (one type of triigers) for value series.
`static final int`
`COMMAND_EXPRESSION_TOOLTIPS_DATAPOINTS`
Constant indicating an expression builder to input tooltips (one type of triggers) for value series.
`static final int`
`COMMAND_EXPRESSION_TRIGGERS_SIMPLE`
Constant indicating an expression builder to input triggers except for value series.
`static final int`
`COMMAND_HYPERLINK`
Constant indicating a builder to input hyper-link except for data points.
`static final int`
`COMMAND_HYPERLINK_DATAPOINTS`
Constant indicating a builder to input hyper-link for data points.
`static final int`
`COMMAND_HYPERLINK_DATAPOINTS_SIMPLE`
Constant indicating a builder to input hyper-link for data points but raw data expression not allowed.
`static final int`
`COMMAND_HYPERLINK_LEGEND`
Constant indicating a builder to input hyper-link for legend.
`static final int`
`COMMAND_RESOURCE_SELECTION_DIALOG`
Constant indicating a builder to select resource file
`static final int`
`CRITICAL_ERRORS`
Constant indicating a major (though not fatal) problem in the model
`static final int`
`FATAL_ERRORS`
Constant indicating a fatal error in the model
`static final int`
`MINOR_ERRORS`
Constant indicating a minor error in the model
`static final int`
`NO_ERRORS`
Constant indicating no detectable problems exist in the model
`static final int`
`POSSIBLE_ERRORS`
Constant indicating possible problems detected in the model

## Method Summary

Modifier and Type
Method
Description
`double`
`getConvertedValue(double dOriginalValue, String sFromUnits, String sToUnits)`
Gets the result of converting the given value between the specified absolute units of measurement.
`IFormatSpecifierHandler`
`getFormatSpecifierHandler()`
Creates a UI to process format specifier.
`List<String>`
`getRegisteredKeys()`
Fetches the list of registered keys for externalizing chart content
`String`
`getValue(String sKey)`
Fetches the value for the specified key from the properties file appropriate for the current locale
`String`
`invoke(int command, String value, Object context, String sTitle)`
This method will be used by the Chart Builder UI to invoke numerous builder by a specified command.
`String`
`invoke(String sExpression, Object Context, String sTitle)`
Deprecated.
use invoke( int command, String value, Object context, String sTitle ) instead.
`String`
`invoke(String sExpression, Object Context, String sTitle, boolean isChartProvider)`
Deprecated.
use invoke( int command, String value, Object context, String sTitle ) instead.
`Object`
`invoke(IUIServiceProvider.Command command, Object... inData)`
This method will be used by the Chart Builder UI to invoke numerous builder by a specified command.
`boolean`
`isEclipseModeSupported()`
Returns whether the application is running under Eclipse Mode
`boolean`
`isInvokingSupported()`
Returns whether all outside builder invokings are supported
`String[]`
`validate(org.eclipse.birt.chart.model.Chart chartModel, Object oContext)`
This method will be used by the Chart Builder UI to validate the model and show any error messages before the user leaves the dialog.

## Field Details

### FATAL_ERRORS

static final int FATAL_ERRORS
Constant indicating a fatal error in the model

See Also:
  - Constant Field Values

### CRITICAL_ERRORS

static final int CRITICAL_ERRORS
Constant indicating a major (though not fatal) problem in the model

See Also:
  - Constant Field Values

### MINOR_ERRORS

static final int MINOR_ERRORS
Constant indicating a minor error in the model

See Also:
  - Constant Field Values

### NO_ERRORS

static final int NO_ERRORS
Constant indicating no detectable problems exist in the model

See Also:
  - Constant Field Values

### POSSIBLE_ERRORS

static final int POSSIBLE_ERRORS
Constant indicating possible problems detected in the model

See Also:
  - Constant Field Values

### COMMAND_EXPRESSION_DATA_BINDINGS

static final int COMMAND_EXPRESSION_DATA_BINDINGS
Constant indicating an expression builder to input data bindings.

See Also:
  - Constant Field Values

### COMMAND_EXPRESSION_CHART_DATAPOINTS

static final int COMMAND_EXPRESSION_CHART_DATAPOINTS
Constant indicating an expression builder to input chart data point variables.

See Also:
  - Constant Field Values

### COMMAND_EXPRESSION_TRIGGERS_SIMPLE

static final int COMMAND_EXPRESSION_TRIGGERS_SIMPLE
Constant indicating an expression builder to input triggers except for value series.

See Also:
  - Constant Field Values

### COMMAND_EXPRESSION_SCRIPT_DATAPOINTS

static final int COMMAND_EXPRESSION_SCRIPT_DATAPOINTS
Constant indicating an expression builder to input script (one type of triigers) for value series.

See Also:
  - Constant Field Values

### COMMAND_EXPRESSION_TOOLTIPS_DATAPOINTS

static final int COMMAND_EXPRESSION_TOOLTIPS_DATAPOINTS
Constant indicating an expression builder to input tooltips (one type of triggers) for value series.

See Also:
  - Constant Field Values

### COMMAND_CUBE_EXPRESSION_TOOLTIPS_DATAPOINTS

static final int COMMAND_CUBE_EXPRESSION_TOOLTIPS_DATAPOINTS
Constant indicating an expression builder to input tootips (one type of triggers ) for value series while using cube case

See Also:
  - Constant Field Values

### COMMAND_EXPRESSION

@Deprecated static final int COMMAND_EXPRESSION
Deprecated.
Constant indicating a common expression builder.

See Also:
  - Constant Field Values

### COMMAND_CHART_EXPRESSION

@Deprecated static final int COMMAND_CHART_EXPRESSION
Deprecated.
Constant indicating an expression builder specifically for chart.

See Also:
  - Constant Field Values

### COMMAND_HYPERLINK

static final int COMMAND_HYPERLINK
Constant indicating a builder to input hyper-link except for data points.

See Also:
  - Constant Field Values

### COMMAND_HYPERLINK_DATAPOINTS

static final int COMMAND_HYPERLINK_DATAPOINTS
Constant indicating a builder to input hyper-link for data points.

See Also:
  - Constant Field Values

### COMMAND_HYPERLINK_LEGEND

static final int COMMAND_HYPERLINK_LEGEND
Constant indicating a builder to input hyper-link for legend.

See Also:
  - Constant Field Values

### COMMAND_HYPERLINK_DATAPOINTS_SIMPLE

static final int COMMAND_HYPERLINK_DATAPOINTS_SIMPLE
Constant indicating a builder to input hyper-link for data points but raw data expression not allowed.

See Also:
  - Constant Field Values

### COMMAND_RESOURCE_SELECTION_DIALOG

static final int COMMAND_RESOURCE_SELECTION_DIALOG
Constant indicating a builder to select resource file

See Also:
  - Constant Field Values

## Method Details

### invoke

@Deprecated String invoke(String sExpression, Object Context, String sTitle)
Deprecated.
use invoke( int command, String value, Object context, String sTitle ) instead.
This method will be used by the Chart Builder UI to invoke the expression builder with any previously defined expression. The parameter may be null if a new expression is to be built.

Parameters:
  `sExpression` - the expression to be displayed in the builder (after re-entry)
  `oContext` - the application-specific context used by the Expression Builder for each invocation
  `sTitle` - the title to be used for the Expression Builder Dialog
Returns:
  The final expression string built by the user in the expression builder

### invoke

@Deprecated String invoke(String sExpression, Object Context, String sTitle, boolean isChartProvider)
Deprecated.
use invoke( int command, String value, Object context, String sTitle ) instead.
This method will be used by the Chart Builder UI to invoke the expression builder with any previously defined expression. The parameter may be null if a new expression is to be built.

Parameters:
  `sExpression` - the expression to be displayed in the builder (after re-entry)
  `oContext` - the application-specific context used by the Expression Builder for each invocation
  `sTitle` - the title to be used for the Expression Builder Dialog
  `isChartProvider` - specified for chart expression provider.
Returns:
  The final expression string built by the user in the expression builder

### invoke

String invoke(int command, String value, Object context, String sTitle) throws org.eclipse.birt.chart.exception.ChartException
This method will be used by the Chart Builder UI to invoke numerous builder by a specified command.

Parameters:
  `command` - Indicate which command will be executed.
  `value` - initial value.
  `context` - command context.
  `sTitle` - dialog title if applicable.
Throws:
  `org.eclipse.birt.chart.exception.ChartException`
Since:
  2.0

### invoke

Object invoke(IUIServiceProvider.Command command, Object... inData) throws org.eclipse.birt.chart.exception.ChartException
This method will be used by the Chart Builder UI to invoke numerous builder by a specified command.

Parameters:
  `command` -
  `inData` -
Returns:
  any objects that caller needs
Throws:
  `org.eclipse.birt.chart.exception.ChartException`

### isInvokingSupported

boolean isInvokingSupported()
Returns whether all outside builder invokings are supported

Since:
  2.1

### validate

String[] validate(org.eclipse.birt.chart.model.Chart chartModel, Object oContext)
This method will be used by the Chart Builder UI to validate the model and show any error messages before the user leaves the dialog.

Parameters:
  `chartModel` - the model to be validated
  `oContext` - the application-specific context associated with the extended chart item
Returns:
  an array of user-friendly messages indicating problems with the model

### getRegisteredKeys

List<String> getRegisteredKeys()
Fetches the list of registered keys for externalizing chart content

Returns:
  List containing available keys for externalized content

### getValue

String getValue(String sKey)
Fetches the value for the specified key from the properties file appropriate for the current locale

Parameters:
  `sKey` - the lookup key for the externalized string
Returns:
  the value associated with the key for the current locale, null if resource key is blank

### getConvertedValue

double getConvertedValue(double dOriginalValue, String sFromUnits, String sToUnits)
Gets the result of converting the given value between the specified absolute units of measurement. Any implementation of this method needs to support conversion between at least the following units: Inches, Centimeters, Millimeters, Points and Pixels

Parameters:
  `dOriginalValue` - the value to be converted
  `sFromUnits` - the units of measurement from which the conversion is to be done
  `sToUnits` - the units of measurement to which the conversion is to be done
Returns:
  the converted value

### isEclipseModeSupported

boolean isEclipseModeSupported()
Returns whether the application is running under Eclipse Mode

Since:
  2.2

### getFormatSpecifierHandler

IFormatSpecifierHandler getFormatSpecifierHandler()
Creates a UI to process format specifier.

Returns: